Bug 650280 - Review Request: rubygem-rspec-mocks - Rspec-2 doubles (mocks and stubs)
Summary: Review Request: rubygem-rspec-mocks - Rspec-2 doubles (mocks and stubs)
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 650283
TreeView+ depends on / blocked
 
Reported: 2010-11-05 16:45 UTC by Mamoru TASAKA
Modified: 2012-12-03 16:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-25 19:47:41 UTC
vondruch: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mamoru TASAKA 2010-11-05 16:45:55 UTC
Spec URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-rspec-mocks/rubygem-rspec-mocks.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-rspec-mocks/rubygem-rspec-mocks-2.0.1-1.fc.src.rpm
Description: 
rspec-mocks provides a test-double framework for rspec including support
for method stubs, fakes, and message expectations.

Comment 2 Vít Ondruch 2011-02-23 09:38:26 UTC
Taking this one.

Comment 3 Vít Ondruch 2011-02-23 11:26:21 UTC
* Dependency
  - I see no reason for the sed at line 58. There is no dependency mentioned in
    any of the specified files.

* Unnecessary prep section
  - If there is no "sed" in prep section, the "gem install" could be moved into
    install section. This is not MUST, however it would simplify the
    spec file a bit.

* Test suite
  - Some specs are not executed (there are 7 specs missing). The test suite
    should be executed by following command preferably:
     
    ruby -rubygems -Ilib/ -S rspec spec

  - What about executing Cucumber test suite? But there is probably missing
    packaged Aruba gem :/

* Koji:
  - Builds fine on Koji
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2859806

Neither one of the above is showstopper, so the package is APPROVED.

Comment 4 Mamoru TASAKA 2011-02-23 18:00:17 UTC
Thank you for review and comments. I will refrect them when I import this
package into Fedora git.

New Package SCM Request
=======================
Package Name:         rubygem-rspec-mocks
Short Description:    Rspec-2 doubles (mocks and stubs)
Owners:               mtasaka
Branches:             f15 f14 f13
InitialCC:

Comment 5 Jason Tibbitts 2011-02-24 18:26:55 UTC
Git done (by process-git-requests).

Comment 6 Mamoru TASAKA 2011-02-25 19:47:41 UTC
Rebuilt for all branches, submitted push requests for F-15/14/13, closing.
Thank you for the review and git procedure.

Comment 7 Bryan Kearney 2012-12-03 16:23:14 UTC
Package Change Request
======================
Package Name: rubygem-rspec-mock
New Branches: el6
Owners: bkearney vondruch
InitialCC:

Comment 8 Gwyn Ciesla 2012-12-03 16:37:07 UTC
Package does not appear to exist in pkgdb currently.

Comment 9 Gwyn Ciesla 2012-12-03 16:37:43 UTC
Clearing flag.

Comment 10 Bryan Kearney 2012-12-03 16:54:46 UTC
Package Change Request
======================
Package Name: rubygem-rspec-mocks
New Branches: el6
Owners: bkearney vondruch
InitialCC:

Comment 11 Gwyn Ciesla 2012-12-03 16:57:13 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.